Summary: MIRACLE LINUX Package Updater.
Name: mlupd
Version: 0.9.3
Release: 5AX
URL: http://www.miraclelinux.com/
Source0: %{name}.tar.gz
License: GPL
Group: System/Administration
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: mlupdbody
Requires: asianux-release,miraclelinux-release,gnupg

%description
MIRACLE LINUX License Package Updater.

%package unstrip
Summary: MIRACLE LINUX license password generator and verifier.
Group: System/Administration

%description unstrip
MIRACLE LINUX License Package Updater.

%prep
%setup -n %{name}
autoheader
autoconf
./configure \
	--prefix=/usr \
	--sysconfdir=/etc/mlupdater \
	--localstatedir=/var \
	--datadir=/usr/share/mlupd

%build
make depend
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
[ ! -d $RPM_BUILD_ROOT/etc/mlupdater ] && mkdir -p $RPM_BUILD_ROOT/etc/mlupdater
cp /etc/mlupdbody/mlupdater.conf $RPM_BUILD_ROOT/etc/mlupdater
[ ! -d $RPM_BUILD_ROOT/var/mlupdater/.gpg ] && mkdir -p $RPM_BUILD_ROOT/var/mlupdater/.gpg

%post
rpm -q gpg-pubkey > /dev/null 2>&1
if [ $? ] ; then
    rpm --import /usr/share/doc/asianux-release/RPM-GPG-KEY
else
    exit 0
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0755,root,root)
/usr/sbin/mlupdater
/usr/sbin/mlupdaterd
%dir /etc/mlupdater
%attr(0600,root,root) %config /etc/mlupdater/*.conf
%attr(0755,root,root) %dir /var/mlupdater
%attr(0755,root,root) %dir /var/mlupdater/.gpg
%attr(0755,root,root) %dir /usr/share/doc/%{name}-%{version}
%attr(0755,root,root) %dir /usr/share/doc/%{name}-%{version}/mlupdater
%attr(0444,root,root) %doc /usr/share/doc/%{name}-%{version}/mlupdater/*.html
%attr(0755,root,root) %dir /usr/share/doc/%{name}-%{version}/mlupdater/images
%attr(0444,root,root) %doc /usr/share/doc/%{name}-%{version}/mlupdater/images/*.jpg

%files unstrip
%defattr(0700,root,root)
/usr/sbin/mlupdater.unstrip
/usr/sbin/mlupdaterd.unstrip

%changelog
* Mon May 31 2004 MORIYAMA, Masayuki <moriyama@miraclelinux.com>
- The fault which cannot update the item of the last of MLhdlist was corrected.

* Fri May 21 2004 MORIYAMA, Masayuki <moriyama@miraclelinux.com>
- Update of a manual
- The directory of a manual is deleted at the time of uninstallation.

* Thu May 20 2004 MORIYAMA, Masayuki <moriyama@miraclelinux.com>
- The bug of a dependence check was corrected.

* Fri May 14 2004 MORIYAMA, Masayuki <moriyama@miraclelinux.com>
- It corrected so that librpm 4.2.1 API might be used.
- The public key for Asianux is used.

* Wed Oct 7 2003 Jun YOSHIDA <jun@miraclelinux.com>
- Initial build.
